Get a BYO wallet
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/byo-wallets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/byo-wallets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/byo-wallets/{id} \
--header 'Authorization: Bearer <token>'{
"id": "byw_abc123",
"address": "0x...",
"chain": "base",
"isActive": true,
"amlStatus": "pending",
"name": "<string>",
"supportedTokens": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}Wallets
Get a BYO wallet
GET
/
wallet-infra
/
byo-wallets
/
{id}
Get a BYO wallet
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.prudra.dev/wallet-infra/byo-wallets/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.prudra.dev/wallet-infra/byo-wallets/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)curl --request GET \
--url https://api.prudra.dev/wallet-infra/byo-wallets/{id} \
--header 'Authorization: Bearer <token>'{
"id": "byw_abc123",
"address": "0x...",
"chain": "base",
"isActive": true,
"amlStatus": "pending",
"name": "<string>",
"supportedTokens": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z"
}Authorizations
Your Prudra API key. Get one at dashboard.prudra.com/settings/api-keys

